## org.apache.batik.dom.util
Class HashTableStack.Link

    java.lang.Object
      org.apache.batik.dom.util.HashTableStack.Link

Enclosing class:
  HashTableStack

    protected static class HashTableStack.Link

extends java.lang.Object

To store the hashtables.

Field Summary
`java.lang.String` `defaultStr` The default namespace for this part of the stack.
`HashTableStack.Link` `next` The next link.
`int` `pushCount` The count of pushes since this link was added.
`HashTable` `table` The table.

Constructor Summary
`HashTableStack.Link(HashTableStack.Link n)` Creates a new link.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    public HashTable table

  The table.

### next

    public HashTableStack.Link next

  The next link.

### defaultStr

    public java.lang.String defaultStr

  The default namespace for this part of the stack.

### pushCount

    public int pushCount

  The count of pushes since this link was added.

Constructor Detail

### HashTableStack.Link

    public HashTableStack.Link(HashTableStack.Link n)

  Creates a new link.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.